<script src="./Show.js"></script>

<template>
  <div class="m-content">
    <div
      v-if="isLoaded"
      class="m-loader m-loader--brand m-loader--lg"
      style="width: 30px; height: 30px; display: inline-block;"
    ></div>
    <div class="row" v-else>
      <div class="col-md-12">
        <div class="row">
          <div class="col-md-12">
            <info-tab-head @update_success="updateSuccess"></info-tab-head>
          </div>
          <div class="col-md-12">
            <div class="m-portlet m-portlet--head-sm m-portlet--tabs mb-0 nt-settings-switchtab">
              <div class="m-portlet__head nt-background-footer nt-switch-tab-head">
                <ul class="nav nav-tabs m-tabs-line m-tabs-line--primary" role="tablist">
                  <li class="nav-item m-tabs__item">
                    <router-link
                      active-class="active"
                      :to="{ name: 'ProductInfoBasic' }"
                      exact
                      class="nav-link m-tabs__link"
                    >
                      <i class="icon icon-info nt-settings-switchtab-icon"></i>
                      <span class="nt-settings-switchtab-text">Thông tin cơ bản</span>
                    </router-link>
                  </li>
                  <li class="nav-item m-tabs__item">
                    <router-link
                      active-class="active"
                      :to="{ name: 'ProductInfoDescription' }"
                      class="nav-link m-tabs__link"
                    >
                      <i class="icon icon-information nt-settings-switchtab-icon"></i>
                      <span class="nt-settings-switchtab-text">Mô tả</span>
                    </router-link>
                  </li>
                </ul>
              </div>
            </div>
            <div class="nt-switch-tab-wrapper">
              <router-view></router-view>
            </div>
          </div>
        </div>
      </div>

      <div class="col-md-4"></div>
    </div>
    <edit-product @update_success="updateSuccess" @cancel_update="cancelUpdate"></edit-product>
    <message-trash-product></message-trash-product>
    <div
      class="modal s--modal fade nt--modal-confirm-choice"
      data-backdrop="static"
      data-keyboard="false"
      id="restoreProduct"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <!--<h3 class="nt&#45;&#45;modal-confirm-choice-title">-->
            <!--Thông báo-->
            <!--</h3>-->
            <div class="nt--modal-confirm-choice-content">
              <div class="nt--modal-confirm-choice-content-title-top">
                Phục hồi sản phẩm
                <span
                  class="nt-color-warning"
                >{{ helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'product_name', 'attribute_value') }}</span>?
              </div>
            </div>
          </div>

          <div class="modal-footer">
            <button
              type="button"
              class="nt-button nt-button-secondary nt-button-modal"
              data-dismiss="modal"
            >Hủy bỏ</button>
            <button
              @click.prevent="restore()"
              type="submit"
              class="nt-button nt-button-warning nt-button-modal"
              data-dismiss="modal"
            >Đồng ý</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
